function slc1(imat,row,clm)
% *** Plot 1D slice from 2D matrix ***
% Y. Matsuki, December, 2007
% usage:
% slc1(imat,row,clm)
% ========================================================
% set row=[] with column# to plot vertical slice
% set clm=[] with row# to plot horizontal slice

nr=length(row);
nc=length(clm);

xr=1:length(imat(1,:));
xc=1:length(imat(:,1));

if (nr == 0)
    for n=1:nc
        cplt(:,n)=imat(:,clm(n));
    end
%     plot(xc,cplt,'.-');
    plot(xc,cplt);
elseif (nc == 0)
    for m=1:nr
        rplt(:,m)=imat(row(m),:);
    end
%     plot(xr,rplt,'.-');
    plot(xr,rplt);
else
    error('row or column.')
end

